## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
# Tests don't work in mock at the moment
%bcond_with check
%global debug_package %{nil}

%global crate libbpf-rs

Name:           rust-%{crate}
Version:        0.11.2
Release:        %autorelease
Summary:        Safe, idiomatic, and opinionated wrapper around libbpf-sys

# Upstream license specification: LGPL-2.1 OR BSD-2-Clause
License:        LGPLv2 or BSD
URL:            https://crates.io/crates/libbpf-rs
Source:         %{crates_source}
# Downgrade nix to 0.20, backport novendor feature from PR#125
Patch0:         libbpf-rs-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Safe, idiomatic, and opinionated wrapper around libbpf-sys.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE.LPGL-2.1 LICENSE.BSD-2-Clause LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+novendor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+novendor-devel %{_description}

This package contains library source intended for building other packages
which use "novendor" feature of "%{crate}" crate.

%files       -n %{name}+novendor-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 30 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.11.2-2
- Backport novendor feature from PR#125

* Thu Jul 29 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.11.2-1
- Update to 0.11.2; Fixes: RHBZ#1983187

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 26 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.11.1-1
- Update to 0.11.1

* Thu Jun 17 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.0-2
- Bump strum_macros to 0.21

* Fri Jun 04 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.11.0-1
- Update to 0.11.0
- Backport PR#112 to bump libbpf-sys to 0.4.0-1

* Wed Jun 02 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Tue May 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.2-1
- Update to 0.9.3

* Tue May 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2
- Install README

* Mon May 10 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1
- Update build requires
- Install license files

* Fri May 07 10:04:18 PDT 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.0-1
- Initial package

